[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TApplication.CreateForm

Create Form or any other kind of component

## Declaration

Source position: forms.pp line 1301

`public procedure TApplication.CreateForm(`
`InstanceClass: TComponentClass;`
`out Reference`
`);`

## Description

Note: The name is confusing and only kept for Delphi compatibility.
It can actually create any kind of component
Creates a Component instance, sets the pointer to the component variable and loads the component.
If it is a form it will be added to the application's forms list

The latest version of this document can be found at lazarus-ccr.sourceforge.net.